Bug 826836 - Error reading info on glusterfsd service while removing 'Gluster File System' group via yum
Error reading info on glusterfsd service while removing 'Gluster File System'...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: build (Show other bugs)
3.0
x86_64 Linux
medium Severity medium
: ---
: RHGS 3.1.0
Assigned To: Milind Changire
Prasanth
:
: 1108021 1118771 (view as bug list)
Depends On:
Blocks: 1117272 1202842
  Show dependency treegraph
 
Reported: 2012-05-31 02:12 EDT by Sachin Ghai
Modified: 2016-04-25 08:33 EDT (History)
12 users (show)

See Also:
Fixed In Version: glusterfs-3.7.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 00:27:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sachin Ghai 2012-05-31 02:12:29 EDT
Description of problem:
On RHS2.0 while removing group 'Gluster File System' via yum raised :

error reading information on service glusterfsd: No such file or directory

Please note that only 'core' group was installed and 1.e. from RHS2.0 iso.

Version-Release number of selected component (if applicable):
RHS 2.0

How reproducible:


Steps to Reproduce:
1. yum groupinstall 'Gluster File System'
2. yum groupuninstall 'Gluster File System'


  
Actual results:
error reading information on service glusterfsd: No such file or directory

while removing 'Gluster File System' group via yum

Expected results:
there shouldn't be any error while removing 'Gluster File System' group.

Additional info:

complete logs:
===
[root@dhcp201-208 ~]# yum groupremove 'Gluster File System'
Loaded plugins: aliases, changelog, downloadonly, fastestmirror, filter-data,
              : keys, list-data, merge-conf, priorities, product-id,
              : protectbase, security, subscription-manager, tmprepo, tsflags,
              : upgrade-helper, verify, versionlock
Updating certificate-based repositories.
Setting up Group Process
Loading mirror speeds from cached hostfile
Resolving Dependencies
--> Running transaction check
---> Package glusterfs.x86_64 0:3.3.0qa43-1.el6 will be erased
---> Package glusterfs-fuse.x86_64 0:3.3.0qa43-1.el6 will be erased
---> Package glusterfs-geo-replication.x86_64 0:3.3.0qa43-1.el6 will be erased
---> Package glusterfs-rdma.x86_64 0:3.3.0qa43-1.el6 will be erased
---> Package glusterfs-server.x86_64 0:3.3.0qa43-1.el6 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                       Arch       Version              Repository  Size
================================================================================
Removing:
 glusterfs                     x86_64     3.3.0qa43-1.el6      @rhs20     6.6 M
 glusterfs-fuse                x86_64     3.3.0qa43-1.el6      @rhs20     163 k
 glusterfs-geo-replication     x86_64     3.3.0qa43-1.el6      @rhs20     427 k
 glusterfs-rdma                x86_64     3.3.0qa43-1.el6      @rhs20      85 k
 glusterfs-server              x86_64     3.3.0qa43-1.el6      @rhs20     1.4 M

Transaction Summary
================================================================================
Remove        5 Package(s)

Installed size: 8.6 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing    : glusterfs-server-3.3.0qa43-1.el6.x86_64                      1/5 
error reading information on service glusterfsd: No such file or directory
  Erasing    : glusterfs-fuse-3.3.0qa43-1.el6.x86_64                        2/5 
  Erasing    : glusterfs-geo-replication-3.3.0qa43-1.el6.x86_64             3/5 
  Erasing    : glusterfs-rdma-3.3.0qa43-1.el6.x86_64                        4/5 
  Erasing    : glusterfs-3.3.0qa43-1.el6.x86_64                             5/5 
0 packages excluded due to repository protections
Installed products updated.

Removed:
  glusterfs.x86_64 0:3.3.0qa43-1.el6                                            
  glusterfs-fuse.x86_64 0:3.3.0qa43-1.el6                                       
  glusterfs-geo-replication.x86_64 0:3.3.0qa43-1.el6                            
  glusterfs-rdma.x86_64 0:3.3.0qa43-1.el6                                       
  glusterfs-server.x86_64 0:3.3.0qa43-1.el6                                     

Complete!
Comment 1 Sachin Ghai 2012-05-31 02:14:37 EDT
The same issue is reproducible with nightly buid (qa44):

[root@dhcp201-208 yum.repos.d]# yum groupremove 'Gluster File System'
Loaded plugins: aliases, changelog, downloadonly, fastestmirror, filter-data,
              : keys, list-data, merge-conf, priorities, product-id,
              : protectbase, security, subscription-manager, tmprepo, tsflags,
              : upgrade-helper, verify, versionlock
Updating certificate-based repositories.
Setting up Group Process
Loading mirror speeds from cached hostfile
Resolving Dependencies
--> Running transaction check
---> Package glusterfs.x86_64 0:3.3.0qa44-1.el6 will be erased
---> Package glusterfs-fuse.x86_64 0:3.3.0qa44-1.el6 will be erased
---> Package glusterfs-geo-replication.x86_64 0:3.3.0qa44-1.el6 will be erased
---> Package glusterfs-rdma.x86_64 0:3.3.0qa44-1.el6 will be erased
---> Package glusterfs-server.x86_64 0:3.3.0qa44-1.el6 will be erased
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package                       Arch       Version              Repository  Size
================================================================================
Removing:
 glusterfs                     x86_64     3.3.0qa44-1.el6      @rhs20     6.3 M
 glusterfs-fuse                x86_64     3.3.0qa44-1.el6      @rhs20     161 k
 glusterfs-geo-replication     x86_64     3.3.0qa44-1.el6      @rhs20     427 k
 glusterfs-rdma                x86_64     3.3.0qa44-1.el6      @rhs20      85 k
 glusterfs-server              x86_64     3.3.0qa44-1.el6      @rhs20     1.6 M

Transaction Summary
================================================================================
Remove        5 Package(s)

Installed size: 8.6 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Erasing    : glusterfs-server-3.3.0qa44-1.el6.x86_64                      1/5 
error reading information on service glusterfsd: No such file or directory
  Erasing    : glusterfs-fuse-3.3.0qa44-1.el6.x86_64                        2/5 
  Erasing    : glusterfs-geo-replication-3.3.0qa44-1.el6.x86_64             3/5 
  Erasing    : glusterfs-rdma-3.3.0qa44-1.el6.x86_64                        4/5 
  Erasing    : glusterfs-3.3.0qa44-1.el6.x86_64                             5/5 
0 packages excluded due to repository protections
Installed products updated.

Removed:
  glusterfs.x86_64 0:3.3.0qa44-1.el6                                            
  glusterfs-fuse.x86_64 0:3.3.0qa44-1.el6                                       
  glusterfs-geo-replication.x86_64 0:3.3.0qa44-1.el6                            
  glusterfs-rdma.x86_64 0:3.3.0qa44-1.el6                                       
  glusterfs-server.x86_64 0:3.3.0qa44-1.el6                                     

Complete!
Comment 3 Kaleb KEITHLEY 2012-07-05 08:28:26 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=819130
Comment 4 Niels de Vos 2012-10-11 03:48:32 EDT
The glusterfs packages on RHS do not provide a /etc/init.d/glusterfsd service. Still, the glusterfs-server %preun scriptlet contains:

if [ $1 -eq 0 ]; then
    /sbin/service glusterfsd stop &>/dev/null || :
    /sbin/chkconfig --del glusterfsd
fi
if [ $1 -ge 1 ]; then
    /sbin/service glusterfsd condrestart &>/dev/null || :
fi


It needs some extra checks to see if /etc/init.d/glusterfsd is available, or the glusterfsd service needs to be included in the glusterfs-server package.
Comment 5 Bala.FA 2014-06-13 06:32:05 EDT
*** Bug 1108021 has been marked as a duplicate of this bug. ***
Comment 6 Stanislav Graf 2014-07-11 09:51:59 EDT
*** Bug 1118771 has been marked as a duplicate of this bug. ***
Comment 10 Bala.FA 2015-06-03 10:12:14 EDT
The spec file has fix like below ie glusterfsd service is stopped if its available

%preun server
if [ $1 -eq 0 ]; then
    if [ -f %_init_glusterfsd ]; then
        %_init_stop glusterfsd
    fi
    %_init_stop glusterd
    if [ -f %_init_glusterfsd ]; then
        %_init_disable glusterfsd
    fi
    %_init_disable glusterd
fi
if [ $1 -ge 1 ]; then
    if [ -f %_init_glusterfsd ]; then
        %_init_restart glusterfsd
    fi
    %_init_restart glusterd
fi
Comment 11 Prasanth 2015-07-17 11:19:46 EDT
Verified as fixed. 

There is no error message seen now with glusterfs-server package install/remove.
Comment 13 errata-xmlrpc 2015-07-29 00:27:49 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1495.html
Comment 14 Kaleb KEITHLEY 2016-04-25 08:33:32 EDT
This looks like this was fixed in the rebase to 3.7.9 for RHGS 3.1.3.

Already closed, clearing the needinfo

Note You need to log in before you can comment on or make changes to this bug.